<div class="fm-row">
<ngui-map (mapReady$)="onMapReady($event)"  class="maping"
        [center]="center"
        [zoom]="15"
        [zoomControlOptions]="{position: 'TOP_RIGHT'}"
        [fullscreenControl]="true"
        [fullscreenControlOptions]="{position: 'TOP_RIGHT'}"
        [scrollwheel]="false">
     <polygon [geodesic]="true" *ngFor="let pos of triangleCoords" 
      [paths]="pos"
      [editable]="true"
      [clickable] = "true"
      [strokeColor]="'#57ACF9'"
      [strokeOpacity]="1"
      [strokeWeight]="3"
      [fillColor]="'#BCDCF9'"
      [fillOpacity]="0.75" (click)="zoneSave($event)">
    </polygon>
     <traffic-layer></traffic-layer>
     <drawing-manager
      [drawingControl]="false"
      [drawingControlOptions]="{
        position: 4,
        drawingModes: ['polygon','rectangle']
       }"
        [rectangleOptions]="{
        fillColor: '#BCDCF9',
        strokeOpacity: 1,
        fillOpacity: 0.75,
        strokeWeight: 3,
        strokeColor: '#57ACF9',
        clickable: true,
        zIndex: 1
        }"
        [polygonOptions]="{
        fillColor: '#BCDCF9',
        strokeOpacity: 1,
        fillOpacity: 0.75,
        strokeWeight: 3,
        editable: true,
        clickable: true,
        strokeColor: '#57ACF9',
        zIndex: 1
        }"
        >
        </drawing-manager>
        </ngui-map>
</div>